aboutsummaryrefslogtreecommitdiffstats
path: root/main/aiccu/aiccu.initd
diff options
context:
space:
mode:
Diffstat (limited to 'main/aiccu/aiccu.initd')
-rw-r--r--main/aiccu/aiccu.initd40
1 files changed, 40 insertions, 0 deletions
diff --git a/main/aiccu/aiccu.initd b/main/aiccu/aiccu.initd
new file mode 100644
index 0000000000..1c8dec0105
--- /dev/null
+++ b/main/aiccu/aiccu.initd
@@ -0,0 +1,40 @@
+#!/sbin/runscript
+
+depend() {
+ need net
+ after ntpd
+}
+
+checkconfig() {
+ # Verify that the configuration file exists
+ if [ ! -f /etc/aiccu.conf ]; then
+ eerror "AICCU Configuration file /etc/aiccu.conf doesn't exist"
+ return 1
+ fi
+
+ # Verify that the configuration is correct
+ if [ `grep -c "^username" /etc/aiccu.conf 2>/dev/null` -ne 1 ]; then
+ eerror "AICCU is not configured, edit /etc/aiccu.conf first"
+ return 1
+ fi
+}
+
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting aiccu"
+ start-stop-daemon --start --quiet --exec /usr/sbin/aiccu -- start
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping aiccu"
+ start-stop-daemon --stop --pidfile /var/run/aiccu.pid --quiet --exec /usr/sbin/aiccu -- stop
+ eend $?
+}
+
+restart() {
+ stop
+ sleep 3
+ start
+}